# Team notes
This is for maintaining communication about your team's working meetings to "ship" the project.

## Meeting notes
These are notes to be maintained PER date that you meet.
### Meeting Date
11/4/2021 In Class
#### What We Did:
- Our component, the flash card [https://github.com/elmsln/issues/issues/881](https://github.com/elmsln/issues/issues/881).
- Reset all components that are the same
- Multiple elements
  - flash-card
    - Properties
      - imgUrl
  - prompt-image
    - Reset and Check answer
    - Time delay on buttons
    - Properties
      - Answered: String
        - Pending
        - Correct
        - Incorrect
  - Question & Answer Box
    - Slotted content
    - Considerations
      - Question text
      - Answer
- Form validation
- Options
  - Show or hide solution
  - Definition or term first
- Bonus ideas
  - Array with multiple terms and def.
    - Flips when it is correct
    - Same element
- Drawing
The image is in our assets folder.
![Drawing of our design](assets/drawing.png)
#### What We'll Do Next...
- begin work on coding the flashcard

### Meeting Dates
Week of 11/7-11/14 In-Class & Office Hours
#### What We Did:
- Began coding the flashcard itself
  - Implemented:
    - image functionality
    - answer box
    - simple icons
    - stylistic changes (ex. Correct/Incorrect)
- Decided to complete the flashcard before break to focus on set management after Thanksgiving
### What We'll Do Next...
- Implement Overlay feature to the card
  - Figure out how to make stylistic changes & transitions to each
- Finalize the flashcard before Thanksgiving break
  - Front & Back of flashcard
  - Accessibility issues (if any) and fixes

### What We're Going to Complete
- Button for sound
- Hone in the design
- Checking for overlay correct
- Changing question to answer
- Implement in HAX
- Choosing image in HAX?
- Carousel?

## Status check ins
These are dedicated status check-ins as this is a multi-week project
### Check-in 1
- See In Class meeting from 11/4
### Check-in 2
- See Meeting Notes from the Week of 11/07-11/14
### Check-in 3
- We didn't really do anything...
- We are fairly far ahead, so by taking a week off, we are now on track.
### Check-in 4
- Fixed some graphical schtuff with our card
- Added in speech button for user enabled speaking
- Working on more styling stuff
- Functionality largely done
